Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Members.SingularAttributeImpl<X,T>

    java.lang.Object
      org.apache.openjpa.persistence.meta.Members.Member<X,T>
          org.apache.openjpa.persistence.meta.Members.SingularAttributeImpl<X,T>

Type Parameters:
  `X` - The type containing the represented attribute
  `T` - The type of the represented attribute

All Implemented Interfaces:
  Comparable<Members.Member<X,T>>, Attribute<X,T>, Bindable<T>, SingularAttribute<X,T>

Enclosing class:
  Members

    public static final class Members.SingularAttributeImpl<X,T>

extends Members.Member<X,T>
implements SingularAttribute<X,T>

Represents single-valued persistent attributes.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.meta.Members.Member
`fmd, owner`

Constructor Summary
`Members.SingularAttributeImpl(AbstractManagedType<X> owner, FieldMetaData fmd)`

Method Summary
`Class<T>` | `getBindableJavaType()` Returns the bindable Java type of this attribute.
`Bindable.BindableType` | `getBindableType()` Categorizes bindable type represented by this attribute.
`Attribute.PersistentAttributeType` | `getPersistentAttributeType()` Categorizes the attribute.
`boolean` | `isId()` Affirms if this attribute is an id attribute.
`boolean` | `isOptional()` Affirms if this attribute can be null.
`boolean` | `isVersion()` Affirms if this attribute represents a version attribute.

Methods inherited from class org.apache.openjpa.persistence.meta.Members.Member
`compareTo, getDeclaringType, getJavaMember, getJavaType, getName, getType, isAssociation, isCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.SingularAttribute
`getType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, isAssociation, isCollection`

Constructor Detail

### Members.SingularAttributeImpl

    public Members.SingularAttributeImpl(AbstractManagedType<X> owner,
                                         FieldMetaData fmd)

Method Detail

### isId

    public boolean isId()

  Affirms if this attribute is an id attribute.

  Specified by:
    `isId` in interface `SingularAttribute<X,T>`

### isVersion

    public boolean isVersion()

  Affirms if this attribute represents a version attribute.

  Specified by:
    `isVersion` in interface `SingularAttribute<X,T>`

### isOptional

    public boolean isOptional()

  Affirms if this attribute can be null.

  Specified by:
    `isOptional` in interface `SingularAttribute<X,T>`

### getBindableType

    public final Bindable.BindableType getBindableType()

  Categorizes bindable type represented by this attribute.

  Specified by:
    `getBindableType` in interface `Bindable<T>`

### getBindableJavaType

    public final Class<T> getBindableJavaType()

  Returns the bindable Java type of this attribute. If the bindable category of this attribute is PLURAL_ATTRIBUTE, the Java element type is returned. If the bindable type is SINGULAR_ATTRIBUTE or ENTITY_TYPE, the Java type of the represented entity or attribute is returned.

  Specified by:
    `getBindableJavaType` in interface `Bindable<T>`

### getPersistentAttributeType

    public final Attribute.PersistentAttributeType getPersistentAttributeType()

  Categorizes the attribute.

  Specified by:
    `getPersistentAttributeType` in interface `Attribute<X,T>`
  Overrides:
    `getPersistentAttributeType` in class `Members.Member<X,T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.